CVE-2017-12434

NameCVE-2017-12434
DescriptionIn ImageMagick 7.0.6-1, a missing NULL check vulnerability was found in the function ReadMATImage in coders/mat.c, which allows attackers to cause a denial of service (assertion failure) in DestroyImageInfo in image.c.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SUSE bugzilla/CVE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-4019-1
NVD severitymedium (attack range: remote)
Debian Bugs870014

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
imagemagick (PTS)jessie8:6.8.9.9-5+deb8u12vulnerable
jessie (security)8:6.8.9.9-5+deb8u15vulnerable
stretch (security), stretch8:6.9.7.4+dfsg-11+deb9u6fixed
buster, sid8:6.9.10.14+dfsg-7fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
imagemagicksource(unstable)8:6.9.7.4+dfsg-14medium870014
imagemagicksourcestretch8:6.9.7.4+dfsg-11+deb9u2mediumDSA-4019-1
imagemagicksourcewheezy(not affected)

Notes

[stretch] - imagemagick <ignored> (Minor issue)
[jessie] - imagemagick <ignored> (Minor issue)
[wheezy] - imagemagick <not-affected> (vulnerable code not present)
https://github.com/ImageMagick/ImageMagick/issues/547
https://github.com/ImageMagick/ImageMagick/commit/6767f31cac3eacdc9dc41b3193a73bdd37610375

Search for package or bug name: Reporting problems